- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# LASi::oPostscriptStream Class Reference

Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument. More...

`#include <LASi.h>`

List of all members.

## Public Member Functions
| oPostscriptStream (PostscriptDocument &psDoc)
## Protected Member Functions
PostscriptDocument & | doc ()
## Private Attributes
PostscriptDocument & | _psDoc
## Friends
class | PostscriptDocument
class | show
class | setFont
class | setFontSize

## Detailed Description

Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument.

## Constructor & Destructor Documentation

LASi::oPostscriptStream::oPostscriptStream | ( | PostscriptDocument & | psDoc | ) | `[inline]`

## Member Function Documentation

PostscriptDocument& LASi::oPostscriptStream::doc | ( |  | ) | `[inline, protected]`

## Friends And Related Function Documentation

friend class PostscriptDocument`[friend]`

friend class show`[friend]`

friend class setFont`[friend]`

friend class setFontSize`[friend]`

## Member Data Documentation

PostscriptDocument& LASi::oPostscriptStream::_psDoc`[private]`

The documentation for this class was generated from the following file:

- LASi.h